package com.ruoyi.project.training.elearn.service;

import java.util.List;
import com.ruoyi.project.training.elearn.domain.TElQu;

/**
 * 试题Service接口
 *
 * @author ssy
 * @date 2024-05-28
 */
public interface ITElQuService
{
    /**
     * 查询试题
     *
     * @param quId 试题ID
     * @return 试题
     */
    public TElQu selectTElQuById(Long quId);

    /**
     * 查询试题列表
     *
     * @param tElQu 试题
     * @return 试题集合
     */
    public List<TElQu> selectTElQuList(TElQu tElQu);

    /**
     * 新增试题
     *
     * @param tElQu 试题
     * @return 结果
     */
    public int insertTElQu(TElQu tElQu);
    public int insertTElQuBatch(TElQu qu , int i);
    /**
     * 修改试题
     *
     * @param tElQu 试题
     * @return 结果
     */
    public int updateTElQu(TElQu tElQu);

    /**
     * 批量删除试题
     *
     * @param quIds 需要删除的试题ID
     * @return 结果
     */
    public int deleteTElQuByIds(Long[] quIds);

    /**
     * 删除试题信息
     *
     * @param quId 试题ID
     * @return 结果
     */
    public int deleteTElQuById(Long quId);


}
